Yolov5环境配置(ultralytics版本)

Yolov5环境配置(ultralytics版本)

官方主要要求
Python>=3.6.0 is required with all requirements.txt installed
including PyTorch>=1.7

  1. 创建一个python>=3.6.0的虚拟环境 conda create -n yolov5 python=3.7

  2. 手动下载torch和torchvision,先pip install torch的whl 在 pip install torchvision 的whl
    例如:先 pip install torch-1.7.0+cu101-cp37-cp37m-win_amd64.whl
    pip install torchvision-0.8.1+cu101-cp37-cp37m-win_amd64.whl

  3. 最后 pip install -r requirements.txt
    (注:如果有需要pycocotools的,最好先安装cython,否则可能会报错)

附: torch和torchvision的下载链接
torch和torchvision版本对应参考链接
yolov5 ultralytics版本链接
requirements.txt如下

# pip install -r requirements.txt

# base ----------------------------------------
matplotlib>=3.2.2
numpy>=1.18.5
opencv-python>=4.1.2
Pillow
PyYAML>=5.3.1
scipy>=1.4.1
torch>=1.7.0
torchvision>=0.8.1
tqdm>=4.41.0

# logging -------------------------------------
tensorboard>=2.4.1
# wandb

# plotting ------------------------------------
seaborn>=0.11.0
pandas

# export --------------------------------------
# coremltools>=4.1
# onnx>=1.9.0
# scikit-learn==0.19.2  # for coreml quantization

# extras --------------------------------------
# Cython  # for pycocotools https://github.com/cocodataset/cocoapi/issues/172
# pycocotools>=2.0  # COCO mAP
# albumentations>=1.0.3
thop  # FLOPs computation
  • 4
    点赞
  • 10
    收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:数字20 设计师:CSDN官方博客 返回首页
评论

打赏作者

万能的小陈

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值